Subject: Re: [net-next PATCH v2 0/4] Add PTP support for CN10K silicon

From: Jakub Kicinski <[email-masked]>
Date: Thu, 4 Aug 2022 09:06:06 -0700

On Wed, 3 Aug 2022 20:08:50 -0700 Richard Cochran wrote:
> > Oh, well. These will have to wait until after the merge window then :(  
> 
> FWIW - I'm okay with any PTP patches that are about specific hardware
> drivers.  When I can, I'll review them for proper use of the core
> layer, locking, etc, but at the end of the day, only the people
> holding the data sheet know how to talk to the hardware.
> 
> Patches that touch the core layer are another story.  These need
> careful review by me and other.  (Obviously)

I was hoping you could cast an eye over the 1-step implementation here.
Giving the device a random time reference along the packet looks odd.
Unfortunately I don't have much (any?) experience with 1-step myself so
I can't trust my own judgment all that much.